Skip to contents

# Test if repeatable or longitudinal

Source: `R/utils.r`
`is.repeated_longitudinal.Rd`

Test if repeatable or longitudinal

## Usage

    is.repeated_longitudinal(
      data,
      generics = c("redcap_event_name", "redcap_repeat_instrument", "redcap_repeat_instance")
    )

## Arguments

data

  data set

generics

  default is "redcap_event_name", "redcap_repeat_instrument" and "redcap_repeat_instance"

## Value

logical

## Examples

    is.repeated_longitudinal(c("record_id", "age", "record_id", "gender"))
    #> Error in is.repeated_longitudinal(c("record_id", "age", "record_id", "gender")): could not find function "is.repeated_longitudinal"
    is.repeated_longitudinal(redcapcast_data)
    #> Error in is.repeated_longitudinal(redcapcast_data): could not find function "is.repeated_longitudinal"
    is.repeated_longitudinal(list(redcapcast_data))
    #> Error in is.repeated_longitudinal(list(redcapcast_data)): could not find function "is.repeated_longitudinal"